/*
	<action jsname="action_ConditionalActionExecutor" description="Execute conditional actions">
		<property name="Condition0" type="string" default="" />
		<property name="Action0" type="action" />
        <property name="Else0" type="action" />
        <property name="Condition1" type="string" default="" />
		<property name="Action1" type="action" />
        <property name="Else1" type="action" />
		<property name="Condition2" type="string" default="" />
		<property name="Action2" type="action" />
        <property name="Else2" type="action" />
		<property name="Condition3" type="string" default="" />
		<property name="Action3" type="action" />
        <property name="Else3" type="action" />
		<property name="Condition4" type="string" default="" />
		<property name="Action4" type="action" />
        <property name="Else4" type="action" />
		<property name="Condition5" type="string" default="" />
		<property name="Action5" type="action" />
        <property name="Else5" type="action" />
		<property name="Condition6" type="string" default="" />
		<property name="Action6" type="action" />
        <property name="Else6" type="action" />
		<property name="Condition7" type="string" default="" />
		<property name="Action7" type="action" />
        <property name="Else7" type="action" />
		<property name="Condition8" type="string" default="" />
		<property name="Action8" type="action" />
        <property name="Else8" type="action" />
		<property name="Condition9" type="string" default="" />
		<property name="Action9" type="action" />
        <property name="Else9" type="action" />
	</action>
*/

function evaluateConditionalString(conditionalString) {
    var parts = conditionalString.split(" ");
    if (parts.length < 3) {
        print("Invalid conditional string format: " + conditionalString);
        return false;
    }

    var value1 = ccbGetCopperCubeVariable(parts[0]);
    var operator = parts[1];
    var value2 = parts.slice(2).join(" ");

    switch (operator) {
        case "=":
            return value1 == value2;
        case "<>":
            return value1 != value2;
        case "<":
            return value1 < value2;
        case ">":
            return value1 > value2;
        default:
            print("Invalid operator in condition: " + conditionalString);
            return false;
    }
}

action_ConditionalActionExecutor = function () {};

action_ConditionalActionExecutor.prototype.execute = function () {
    var conditions = [
        this.Condition0,
        this.Condition1,
        this.Condition2,
        this.Condition3,
        this.Condition4,
        this.Condition5,
        this.Condition6,
        this.Condition7,
        this.Condition8,
        this.Condition9,
    ];

    var actions = [
        this.Action0,
        this.Action1,
        this.Action2,
        this.Action3,
        this.Action4,
        this.Action5,
        this.Action6,
        this.Action7,
        this.Action8,
        this.Action9,
    ];

    var elses = [
        this.Else0,
        this.Else1,
        this.Else2,
        this.Else3,
        this.Else4,
        this.Else5,
        this.Else6,
        this.Else7,
        this.Else8,
        this.Else9,
    ];

    for (var i = 0; i < conditions.length; ++i) {
        var condition = conditions[i];
        var action = actions[i];
        var _else = elses[i];

        if (condition != "" && condition != " ") {
            if (evaluateConditionalString(condition)) {
                ccbInvokeAction(action);
            } else {
                ccbInvokeAction(_else);
            }
        }
    }
};
